Page MenuHomePhabricator

Include relevant updates to our Phabricator installation in community communication
Closed, DeclinedPublic

Description

As T139254#2425734 and T139181 made clear updates to our Phabricator installation are not communicated to the community. I'm not saying all of them should be but the example issue made a fairly large change and I can't have been the only one wondering why I suddenly had lots of "added substask" in my history which I never remembered doing.

Suggested channels:

  • Tech News
  • The Phame blog embedded in our Phabricator.
  • Some mailing list

If there is a mailing list for this already... Then maybe document it on the starting page... and still consider communicating larger changes wider?

Event Timeline

Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJul 7 2016, 12:04 PM

Apologies if tags are not the best but searching mainly showed up Teams rather than Projects.

Pinging in you @Johan who might know where this fits.

Adding @mmodell since he is responsible for the updates.

Wondering whether this could be in scope for adding it to https://meta.wikimedia.org/wiki/Tech/News/Next (or just adding Notice to a relevant "Phabricator upgrade" task which has relevant items listed in the task description). Needs a workflow though.

I think it is worth advertising the task corresponding to an upgrade in Tech/News, and then post that task in the Phabricator homepage.

Should we schedule this task for Community-Relations-Support (Oct-Dec-2016) ?

@Qgil: The updates now use milestones in the phabricator project, like #phab-2016-09-28

Qgil triaged this task as Low priority.Nov 22 2016, 12:57 PM
Johan added a comment.Sep 5 2017, 6:52 AM

I'm spontaneously sceptical to include Phab updates in Tech News. But maybe there's no better place to do it.

(Sorry. I didn't see this ping until now.)

Proposing to decline. We have approx. 1000 active users in Phabricator per month (not always the same 1000 ones, but still). Compared to how many Tech News readers?

I am also for declining. If there is a specific update that carries changes so big that casual Phabricator users need to be informed about, then we can always consider including it in Tech News, based on its own merit. However, I don't think that these updates are so frequent (or even so many) as to have some kind of process in place.

mmodell closed this task as Declined.Sep 5 2017, 9:44 AM

I think that phame & wikitech-l are the appropriate places for phabricator-related announcements.

I think that phame & wikitech-l are the appropriate places for phabricator-related announcements.

So there is now a decided workflow for publishing updates in these two channels? If so this is Resolved rather than Declined (as Tech News was only one of the suggested venues). If there is no workflow yet then closing this means "we decline to communicate changes systematically".

I regularly write about changes that I deploy which I can anticipate to have a big impact (either positive or negative) however, it's essentially a judgement call and I can't always anticipate the impact of some changes.

I'm not sure what you mean by communicating changes systematically? How do I systematically communicate changes? Upstream has their changelog which is their attempt at communicating relevant changes. I write up something similar when I feel that it would be helpful but most changes are subtle and not particularly disruptive so they go unannounced. The work that is happening is tracked in Phabricator - that tracks changes here in our own phabricator instance as well as Phabricator (Upstream) which tracks changes that affect us which are happening upstream or issues where work needs to happen upstream before we can do what is requested. Digesting all of that information into a easily understandable format is a significant amount of work which would simply slow down the progress on making improvements and responding to community feedback. In my opinion, doing all of that on a regular basis would have relatively small impact. I believe my time is usually better spent on writing code rather than writing announcements. I would welcome any volunteers to help with tracking the changes in phabricator and digesting that into a format more suitable for community consumption, however, I'm not sure what that workflow would look like.